## libaperture-0 0.1.0+git20200908

=== meson_options.txt ===
option('gtk_doc', type: 'boolean', value: true, description: 'Build the documentation')
option('demo', type: 'boolean', value: true, description: 'Build the demo application')

option('gir', type: 'boolean', value: true, description: 'Build the GObject Introspection bindings')
option('vapi', type: 'boolean', value: true, description: 'Build the Vala API bindings')

option('barcode_tests_skippable', type: 'boolean', value: true, description: 'Allow tests which require ZBar to be skipped if it is not available.')

## libaperture-0 0.1.0%2Bgit20200908

=== debian/control ===
Source: libaperture-0
Section: libs
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders:
 Arnaud Ferraris <arnaud.ferraris@gmail.com>,
 Henry-Nicolas Tourneur <debian@nilux.be>
Build-Depends:
 appstream-util,
 debhelper-compat (= 13),
 desktop-file-utils,
 gtk-doc-tools,
 libgirepository1.0-dev,
 libgstreamer-plugins-base1.0-dev,
 libgtk-3-dev,
 meson,
 valac,
# Needed for tests
 xauth <!nocheck>,
 xvfb <!nocheck>,
 gstreamer1.0-gtk3 <!nocheck>,
 gstreamer1.0-plugins-bad <!nocheck>,
 gstreamer1.0-plugins-good <!nocheck>,
Standards-Version: 4.5.0
Homepage: https://gitlab.gnome.org/jwestman/libaperture
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/libaperture.git
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/libaperture
Rules-Requires-Root: no

Package: libaperture-0-0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gstreamer1.0-gtk3,
 gstreamer1.0-plugins-bad,
 gstreamer1.0-plugins-good,
Description: Camera library for GTK3
 libaperture provides GTK widgets and GObjects to ease developing
 applications for mobile phones.
 .
 This package contains the shared library.

Package: libaperture-0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 gir1.2-aperture-0 (= ${binary:Version}),
 libaperture-0-0 (= ${binary:Version}),
 libgtk-3-dev,
 libgstreamer-plugins-base1.0-dev,
Recommends: pkg-config
Description: Development files for libaperture
 libaperture provides GTK widgets and GObjects to ease developing
 applications for mobile phones.
 .
 This package contains the development files and documentation.

Package: gir1.2-aperture-0
Architecture: any
Multi-Arch: same
Section: introspection
Depends:
 ${gir:Depends},
 ${misc:Depends},
Description: GObject introspection files for libaperture
 libaperture provides GTK widgets and GObjects to ease developing
 applications for mobile phones.
 .
 This package contains the GObject-introspection data in binary typelib format.

Package: aperture-0-examples
Section: x11
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Example programs for libaperture
 libaperture provides GTK widgets and GObjects to ease developing
 applications for mobile phones.
 .
 This package contains example files and the demonstration program for
 libaperture.

## libaperture-0 0.1.0+git20200908

=== debian/changelog ===
libaperture-0 (0.1.0+git20200908-3) unstable; urgency=medium

  * lintian override: aperture-0-examples does not ship 
    manpage for demo gtk widget
  * adding autopkgtest
  * re-order build deps to clarify test build deps
  * d/control: clarify description
  * d/salsa: disable aptly
  * d/control: fix VCS links
  * d/control: add missing b-dep on dh-sequence-gir
  * d/control: bump Standards-Version to 4.6.0 (no changes needed)

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Mon, 03 Jan 2022 11:08:36 +0000

libaperture-0 (0.1.0+git20200908-2) unstable; urgency=medium

  * d/rules: ensure dh uses --with gir (Closes: #991078)

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Thu, 15 Jul 2021 15:53:35 +0000

libaperture-0 (0.1.0+git20200908-1) unstable; urgency=medium

  * Initial Debian release (Closes: #969745)

 -- Arnaud Ferraris <arnaud.ferraris@gmail.com>  Mon, 06 Jul 2020 11:53:19 +0200

=== debian/control ===
Source: libaperture-0
Section: libs
Priority: optional
Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
Uploaders:
 Arnaud Ferraris <arnaud.ferraris@gmail.com>,
 Henry-Nicolas Tourneur <debian@nilux.be>,
Build-Depends:
 appstream-util,
 debhelper-compat (= 13),
 desktop-file-utils,
 gobject-introspection,
 gtk-doc-tools,
 libgirepository1.0-dev,
 libgstreamer-plugins-base1.0-dev,
 libgtk-3-dev,
 meson,
 valac,
# Test dependencies
 gstreamer1.0-gtk3 <!nocheck>,
 gstreamer1.0-plugins-bad <!nocheck>,
 gstreamer1.0-plugins-good <!nocheck>,
 xauth <!nocheck>,
 xvfb <!nocheck>,
Standards-Version: 4.6.0
Homepage: https://gitlab.gnome.org/jwestman/libaperture
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/libaperture-0.git
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/libaperture-0
Rules-Requires-Root: no

Package: libaperture-0-0
Architecture: any
Multi-Arch: same
Depends:
 gstreamer1.0-gtk3,
 gstreamer1.0-plugins-bad,
 gstreamer1.0-plugins-good,
 ${misc:Depends},
 ${shlibs:Depends},
Description: Camera library for GTK3
 libaperture provides GTK widgets and GObjects to ease developing
 camera applications for mobile phones.
 .
 This package contains the shared library.

Package: libaperture-0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 gir1.2-aperture-0 (= ${binary:Version}),
 libaperture-0-0 (= ${binary:Version}),
 libgstreamer-plugins-base1.0-dev,
 libgtk-3-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 pkg-config,
Description: Development files for libaperture
 libaperture provides GTK widgets and GObjects to ease developing
 camera applications for mobile phones.
 .
 This package contains the development files and documentation.

Package: gir1.2-aperture-0
Architecture: any
Multi-Arch: same
Section: introspection
Depends:
 ${gir:Depends},
 ${misc:Depends},
Description: GObject introspection files for libaperture
 libaperture provides GTK widgets and GObjects to ease developing
 camera applications for mobile phones.
 .
 This package contains the GObject-introspection data in binary typelib format.

Package: aperture-0-examples
Section: x11
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Example programs for libaperture
 libaperture provides GTK widgets and GObjects to ease developing
 camera applications for mobile phones.
 .
 This package contains example files and the demonstration program for
 libaperture.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --builddirectory=_build --with gir

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	LC_ALL=C.UTF-8 xvfb-run -a -s -noreset dh_auto_test
endif

override_dh_makeshlibs:
	dh_makeshlibs --package=libaperture-0-0 -- -c2

=== debian/tests/control ===
Tests: build-test
Depends:
 build-essential,
 gdc,
 libaperture-0-dev,
 libgstreamer-plugins-base1.0-dev,
 libgtk-3-dev,
 pkg-config,
 xauth,
 xvfb
Restrictions: allow-stderr

## libaperture-0 0.1.0+git20221220

=== debian/changelog ===
libaperture-0 (0.1.0+git20221220-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.

  [ Arnaud Ferraris ]
  * New git snapshot 0.1.0+git20221220
  * d/gbp.conf: use `debian/latest` as the default branch and modernize
  * d/control: bump Standards-Version, no change needed
  * debian: drop salsa-ci.yml as we can use project settings instead
  * debian: fix issues reported by lintian
  * d/patches: add downstream patches improving libcamera support
  * debian: update my email address

 -- Arnaud Ferraris <aferraris@debian.org>  Sun, 12 Feb 2023 19:32:13 +0100

libaperture-0 (0.1.0+git20200908-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Mark the autopkgtest as flaky. (Closes: #1017724)

 -- Adrian Bunk <bunk@debian.org>  Tue, 07 Feb 2023 18:35:57 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders:
- Arnaud Ferraris <arnaud.ferraris@gmail.com>,
+ Arnaud Ferraris <aferraris@debian.org>,
  Henry-Nicolas Tourneur <debian@nilux.be>,
 Build-Depends:
  appstream-util,
@@ -22,7 +22,7 @@
  gstreamer1.0-plugins-good <!nocheck>,
  xauth <!nocheck>,
  xvfb <!nocheck>,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://gitlab.gnome.org/jwestman/libaperture
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/libaperture-0.git
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/libaperture-0

=== debian/tests/control ===
--- 
+++ 
@@ -8,4 +8,4 @@
  pkg-config,
  xauth,
  xvfb
-Restrictions: allow-stderr
+Restrictions: allow-stderr, flaky

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/archive\/(\d\S+)\/libaperture.*\.tar\.gz/libaperture-$1\.tar\.gz/g \
  https://gitlab.gnome.org/jwestman/libaperture/tags?sort=updated_desc .*/archive/(\d\S+)/.*\.tar\.gz.*
